commit: b5ab367ad15a5140329f0f158af13e1d5efef471
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 27 02:28:04 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 27 02:51:06 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5ab367a
dev-python/blessed: Bump to 1.21.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/blessed/Manifest | 1 +
dev-python/blessed/blessed-1.21.0.ebuild | 44 ++++++++++++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-python/blessed/Manifest b/dev-python/blessed/Manifest
index 496a65259fce..0608347392d9 100644
--- a/dev-python/blessed/Manifest
+++ b/dev-python/blessed/Manifest
@@ -1 +1,2 @@
DIST blessed-1.20.0.tar.gz 6655612 BLAKE2B
10523940ac2fe528487f2d1d68d9f38782ec260f1f42735940219d37d4b4dbaef2fd4ca63d753780123d54ae39ab04652d2c6ba8f3323c621a2206b0a706f6e0
SHA512
8567ff1c55f68ad99c6c524edbf8ee57813d23d885dcb372767debc76bc2d75642c2b0491e1ed05460f023c28403b5dabb13769dea101a1c6e3156c82e0d0355
+DIST blessed-1.21.0.tar.gz 6660011 BLAKE2B
13e870896b70435fb86c5f4902c13bc13b4001817407da749b8e297ffcf4749bbfcc75a856a536fd47c75ff849f6260ce0a3d51946ce32275a81fa7bfbb91ab3
SHA512
e57b9ede0706875b578b080b6a7cc65c2882b52c5b5b85a13c615f8419618ceae6ded31228784f20504c5204c0b6897a9d7122c45785cd68982772169ee7222f
diff --git a/dev-python/blessed/blessed-1.21.0.ebuild
b/dev-python/blessed/blessed-1.21.0.ebuild
new file mode 100644
index 000000000000..cb9e46c3eb42
--- /dev/null
+++ b/dev-python/blessed/blessed-1.21.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 pypy3_11 python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for making terminal apps using colors, keyboard input and
positioning"
+HOMEPAGE="
+ https://github.com/jquast/blessed/
+ https://pypi.org/project/blessed/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Skip those extensions as they don't have a Gentoo package
+ # Remove calls to scripts that generate rst files because they
+ # are not present in the tarball
+ sed -e '/sphinxcontrib.manpage/d' -e '/sphinx_paramlinks/d' \
+ -e '/^for script in/,/runpy.run_path/d' \
+ -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # COLORTERM must not be truecolor
+ # See https://github.com/jquast/blessed/issues/162
+ # Ignore coverage options
+ COLORTERM= epytest --override-ini="addopts="
+}